Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.page
Class Region

    java.lang.Object
      org.jboss.portal.theme.page.Region

All Implemented Interfaces:
  ObjectRendererContext, RegionRendererContext

    public final class Region

extends java.lang.Object
implements RegionRendererContext

A region on a page.

A region wraps one or more portlets to allow them to act as one unit inside the layout of a page.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`Region(PageResult page, java.lang.String name)` Create a region with default orientation (how the portlet windows are arranged) and the region name as the css id selector

Method Summary
`java.lang.String` | `getCSSId()`
`java.lang.String` | `getId()`
`Orientation` | `getOrientation()`
`java.util.Map` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.util.Collection` | `getWindows()`
`boolean` | `isEmpty()`
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Region

    public Region(PageResult page,
                  java.lang.String name)

  Create a region with default orientation (how the portlet windows are arranged) and the region name as the css id selector

  Parameters:
    `name` - the name of the region to create

Method Detail

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### isEmpty

    public boolean isEmpty()

  Returns:
    if there are any portlet windows in this region

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `RegionRendererContext`

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `ObjectRendererContext`

### getProperties

    public java.util.Map getProperties()

  Specified by:
    `getProperties` in interface `ObjectRendererContext`

### getWindows

    public java.util.Collection getWindows()

  Specified by:
    `getWindows` in interface `RegionRendererContext`

### getOrientation

    public Orientation getOrientation()

  Specified by:
    `getOrientation` in interface `RegionRendererContext`

### getCSSId

    public java.lang.String getCSSId()

  Specified by:
    `getCSSId` in interface `RegionRendererContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD